Skip to main content
Get Tool By Id

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Successful Response

description
string
required
name
string
required
permission
enum<string>
required

The permission level required to use this tool.

Available options:
read_only,
write_only,
read_write,
admin
display_name
string
required
id
string<uuid> | null
tenant_id
string | null
tenant_name
string | null
title
string | null
created_on
string<date-time> | null
created_by
string | null
created_by_username
string | null
updated_at
string<date-time> | null
tags
any[] | null
input_schema
ToolRequestBody · object | null

A request body for a tool.

output_schema
ToolResponseBody · object | null

A response body for a tool.

binding
ToolBinding · object | null

A binding of the tool to a specific runtime environment such as an OpenAPI endpoint or local Python function.

uid
collab_idf
environment_id
toolkit_id
is_async
boolean
default:false

Whether the tool execution is asynchronous

restrictions
string | null
default:editable

Whether the tool is editable or not

bundled_agent_id